For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Shipping Provider
      • Tax Provider
          • POSTEstimate Taxes
          • POSTVoid Tax Quote
          • POSTCommit Tax Quote
          • POSTAdjust Tax Quote
            • GETGet Connection Status
            • PUTUpdate Connection
            • DELDelete Connection
      • Webhooks
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTIntegrationsTax ProviderTax Provider Connection

Delete Connection

DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/tax/providers/:provider_id/connection
DELETE
/stores/:store_hash/v3/tax/providers/:provider_id/connection
$curl -X DELETE https://api.bigcommerce.com/stores/store_hash/v3/tax/providers/provider_id/connection \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
1{
2 "data": {
3 "username": "MyDisconnectedTaxProviderAccount",
4 "configured": false
5 }
6}
Remove any previously set basic connection credentials for the specified provider. If the specified provider is the active tax provider on the store, the store's active tax provider will be reset to BigCommerce Manual Tax. It is suggested to call this endpoint during a single-click app [uninstall callback](/developer/docs/integrations/apps/guide/handling-callbacks#uninstall-callback). > #### Note > * This operation will be logged in [Store Logs](https://support.bigcommerce.com/s/article/Using-Store-Logs) under **Staff Actions**. > * Requires **write** permissions on the **Information and Settings** [scope](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).
Was this page helpful?
Previous

Update Connection

Next

Webhooks v3

Built with

Remove any previously set basic connection credentials for the specified provider. If the specified provider is the active tax provider on the store, the store’s active tax provider will be reset to BigCommerce Manual Tax. It is suggested to call this endpoint during a single-click app uninstall callback.

Note

  • This operation will be logged in Store Logs under Staff Actions.
  • Requires write permissions on the Information and Settings scope.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

provider_idstringRequired

The Tax Providerʼs provider_id provided by BigCommerce after the provider shares their provider details.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

OK
dataobject

Errors

404
Not Found Error